/* $Id: sample.xaw.cc,v 1.2 91/02/26 16:26:36 jdf Exp $ */
#include <stream.h>
#include "WWL/TopLevelShell.h"
#include "WWL/Command.h"

extern "C" void	exit(int);

static void
do_quit (Widget w, caddr_t, caddr_t)
{
  static int once;

  if (! once++)
    {
      WCommand comm(w);

      comm.Label("Goodbye Cruel World");
    }
  else
    exit (0);
}

int
main(Cardinal argc, char* argv[])
{
  WTopLevelShell toplevel(XtInitialize ("sample", "Sample", NULL, 0, &argc, argv));
  WCommand comm (toplevel, "Hello World");

  toplevel.Width (200);
  toplevel.Height (100);

  toplevel.Realize ();
  comm.AddCallback ((XtCallbackProc)do_quit, NULL);
  comm.Manage ();

  comm.Realize ();

  XtMainLoop ();
}

